--- old/usr/src/uts/common/sys/timeb.h	Sun Jul 27 18:01:37 2014
+++ new/usr/src/uts/common/sys/timeb.h	Sun Jul 27 18:01:37 2014
@@ -3,16 +3,19 @@
  * Use is subject to license terms.
  */
 
+/*
+ * Copyright 2014 Garrett D'Amore <garrett@damore.org>
+ */
+
 #ifndef	_SYS_TIMEB_H
 #define	_SYS_TIMEB_H
 
-#pragma ident	"%Z%%M%	%I%	%E% SMI"
-
 #ifdef	__cplusplus
 extern "C" {
 #endif
 
 #include <sys/types.h>
+#include <sys/feature_tests.h>
 
 /*
  * Copyright (c) 1991, 1993
@@ -52,7 +55,16 @@
  * SUCH DAMAGE.
  */
 
-/* The ftime(2) system call structure */
+
+/*
+ * NOTE: This lives in sys/timeb.h due to standards requirements.
+ * The actual function is not a system call, but a libc function.  Hence
+ * this header should never be included into kernel modules.  Presumably
+ * the header shouldn't be included unless ftime() is desired, since it
+ * defines nothing else, but be pedantic.
+ */
+
+#if (!defined(_STRICT_SYMBOLS)) || (defined(_XPG4_2) && !defined(_XPG7))
 struct timeb {
 	time_t	time;			/* seconds since the Epoch */
 	unsigned short millitm;		/* + milliseconds since the Epoch */
@@ -60,10 +72,7 @@
 	short	dstflag;		/* DST == non-zero */
 };
 
-#if defined(__STDC__)
 extern int ftime(struct timeb *);
-#else
-extern int ftime();
 #endif
 
 #ifdef	__cplusplus
